aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorToni Uhlig <matzeton@googlemail.com>2021-06-08 21:20:44 +0200
committerToni Uhlig <matzeton@googlemail.com>2021-06-08 21:20:44 +0200
commit55ecf068b36c065363f3e6db37d314ae78d9f54d (patch)
tree3e14ea253644cfeac3a84b98cc738023961ae249 /scripts
parentd3ebb84ce46b613a96e948c20101b76785311fd5 (diff)
Generate a valid version tuple if build was triggered from an unpacked `make dist` archive.
Signed-off-by: Toni Uhlig <matzeton@googlemail.com>
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/make-dist.sh1
1 files changed, 1 insertions, 0 deletions
diff --git a/scripts/make-dist.sh b/scripts/make-dist.sh
index b978aeb65..c58524e81 100755
--- a/scripts/make-dist.sh
+++ b/scripts/make-dist.sh
@@ -13,6 +13,7 @@ flock -x -n 42 || {
cd "$(dirname "${0}")/.."
if [ ! -d ./.git ]; then
printf '%s\n' "This script can only by run from a nDPId git repository." >&2
+ exit 1;
fi
git submodule update --init ./libnDPI